@use '../tools/config_mixins_mq' as mq;
@use '../settings/vars/colors' as c;

.tx-{
    &white{
        color: #fff;
    }
    &dark-1{
        color: #0A2240;
    }
    &primary-1{
        color: c.$primary-1;
    }
    &primary-2{
        color: c.$primary-2;
    }
    &secondary-1{
        color: c.$secondary-1;
    }
}

.section-title{
    font-weight: 900;
    font-size: 34px;
    text-transform: uppercase;

    @include mq.media-up(xl){
        font-size: 54px;
    }
}

.hover\:tx-primary-1{
    transition: all 160ms ease;
}

@include mq.media-up(xl){
    .hover\:tx-primary-1:hover{
        color: c.$primary-1;
    }
}